%define debug_package %{nil}
%define _build_id_links none
%define _disable_source_fetch 0

%define _name cyber-terminal

%define base_ver %(curl -fsSL https://git.omame.tech/CyberOS/cyber-build-scripts/raw/branch/master/stable/%{_name}/PKGBUILD | grep pkgver | cut -d '=' -f 2 | head -n1)
%define git_refspec %(curl -fsSL -X GET "https://git.omame.tech/api/v1/repos/CyberOS/%{_name}/commits" -H  "accept: application/json" | jq -r '.[0].sha')
%define git_refspec_short %(echo %{git_refspec} | cut -c -7)
%define build_timestamp %(date +%s)

Name: %{_name}
#Version: 1.1.0
Version: %{base_ver}git.%{build_timestamp}.%{git_refspec_short}
Release: 0%{?dist}
BuildRequires: jq
Summary:	Cyber Terminal
License:	GPLv3+
URL:		https://getcyberos.org
BuildRequires:	cmake
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-qtbase-devel qt5-qttools-devel qt5-qtdeclarative-devel qt5-qtquickcontrols2-devel qt5-linguist
BuildRequires:	meuikit-devel
Requires: meuikit
#Source0:	https://git.omame.tech/CyberOS/cyber-terminal/archive/%{version}.tar.gz
Source0: https://git.omame.tech/CyberOS/%{name}/archive/%{git_refspec}.tar.gz
%description
The terminal for Cyber Desktop

%prep
%setup -qn %{name}

%build
%{set_build_flags}
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr .
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%make_install

%files 
%license LICENSE
%{_bindir}/cyber-terminal
%{_libdir}/qt5/qml/Cyber/TermWidget/
%{_datadir}/applications/cyber-terminal.desktop
%{_datadir}/cyber-terminal/

%changelog
* Tue Aug 03 2021 korewaChino <crkza1134@gmail.com> - 1.0.0
- Initial version
